Bug 217071 - Print dialog fails when 'BrowseShortNames Off' CUPS option used
Print dialog fails when 'BrowseShortNames Off' CUPS option used
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 217220
  Show dependency treegraph
 
Reported: 2006-11-23 12:47 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 21:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtk+-2.10.4-cupslongnames.patch (819 bytes, patch)
2006-11-24 10:19 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2006-11-23 12:47:30 EST
Description of problem:
The GTK+ print dialog won't let you print to remote printers when the
'BrowseShortNames Off' option is used in /etc/cups/cupsd.conf.

Version-Release number of selected component (if applicable):
gtk2-2.10.4-5.fc6

How reproducible:
100%

Steps to Reproduce:
1.Edit /etc/cups/cupsd.conf and add a line 'BrowseShortNames Off'
2./sbin/service cups stop
3.rm -f /var/cache/cups/remote.cache
4./sbin/service cups start
5.If you have no remote queues, set up another machine with a printer queue and
share it.
6.Start OpenOffice.org Writer and try to print the blank page to a remote queue.

Actual results:
'queue@host'-style names shown in dialog box as expected, but 'Print' button not
clickable when queue selected.

Expected results:
'Print' button should be clickable when a queue is selected.
Comment 1 Tim Waugh 2006-11-24 10:19:15 EST
Created attachment 142069 [details]
gtk+-2.10.4-cupslongnames.patch

Here is the fix.
Comment 2 Matthias Clasen 2006-12-01 21:57:47 EST
Fixed in gtk2-2.10.4-6.fc6

Note You need to log in before you can comment on or make changes to this bug.